package com.logicbig.example;

import org.springframework.beans.BeanWrapper;
import org.springframework.beans.BeanWrapperImpl;
import java.time.ZoneId;
import java.time.temporal.ChronoField;
import java.time.temporal.ChronoUnit;

public class PersonBeanWrapperExample {
    public static void main(String[] args) {
        Person person = new Person();
        BeanWrapper bw = new BeanWrapperImpl(person);
        bw.setPropertyValue("name", "Tim");
        bw.setPropertyValue("dateOfBirth", "Thu Jul 01 16:18:19 CDT 2021");
        System.out.println(person);
        System.out.println(person.getDateOfBirth().toInstant()
                                 .atZone(ZoneId.systemDefault()).toLocalDate());
    }
}